package ru.mousecray.plants.blocks;

import net.minecraft.client.renderer.block.model.ModelResourceLocation;
import net.minecraftforge.fml.common.registry.ForgeRegistries;
import net.minecraftforge.fml.relauncher.SideOnly;
import net.minecraftforge.fml.relauncher.Side;
import net.minecraft.client.Minecraft;
import net.minecraft.item.ItemBlock;
import net.minecraft.block.Block;
import net.minecraft.item.Item;

public class ListBlocks {
	
	//   
	public static Block CAVE_GRASS = new CaveGrass();
	public static Block CAVE_CROPS = new CaveCrops();
	
	public static void onRegister() {
		//     
		register(CAVE_GRASS);
		register(CAVE_CROPS);
	}
	
	@SideOnly(Side.CLIENT)
	public static void onRender() {
		//      
		registerRender(CAVE_GRASS);
	}

    private static void register(Block block) {
        //   
        ForgeRegistries.BLOCKS.register(block);
        //     
        ForgeRegistries.ITEMS.register(new ItemBlock(block).setRegistryName(block.getRegistryName()));
    }

    @SideOnly(Side.CLIENT)
    private static void registerRender(Block block) {
        //    
        Minecraft.getMinecraft().getRenderItem().getItemModelMesher().register(Item.getItemFromBlock(block), 0, new ModelResourceLocation(block.getRegistryName(), "inventory"));
    }
}